Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.core.trs
Class ChangeEvent

    java.lang.Object
      org.eclipse.lyo.oslc4j.core.model.AbstractResource
          org.eclipse.lyo.core.trs.ChangeEvent

All Implemented Interfaces:
  IExtendedResource, IResource

Direct Known Subclasses:
  Creation, Deletion, Modification

    public class ChangeEvent

extends AbstractResource

Each entry referenced by trs:change is a Local Resource representing a Change Event with the following properties:

Constructor Summary
`ChangeEvent()`
`ChangeEvent(URI about, URI changed, int order)`

Method Summary
`URI` | `getChanged()`
`int` | `getOrder()`
`void` | `setChanged(URI changed)`
`void` | `setOrder(int order)`

Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource
`addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangeEvent

    public ChangeEvent()

### ChangeEvent

    public ChangeEvent(URI about,
                       URI changed,
                       int order)

Parameters:
  `about` -
  `changed` -
  `order` -

Method Detail

### getChanged

    public URI getChanged()

  Returns:
    the changed

### setChanged

    public void setChanged(URI changed)

  Parameters:
    `changed` - the changed to set

### getOrder

    public int getOrder()

  Returns:
    the order

### setOrder

    public void setOrder(int order)

  Parameters:
    `order` - the order to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All rights reserved.